상세 컨텐츠

본문 제목

파이썬 오류 해결 (An error occurred while installing package 'defaults::qt-5.9.7)

IT/Python

by Analyst Cho 2021. 5. 3. 23:41

본문

반응형

이 오류 때문에 한동안 엄청 고생했던 적이 있었다.

 

파이썬의 그래프를 그릴 수 있게 해주는 라이브러리인 matplotlib를 설치할 때, 파이썬 64비트 환경에서 32비트 가상환경을 만들때 오류가 발생했었으며, 해외에서도 많은 글들이 있었는데 의외로 간단하게 해결할 수 있다.

 

일단 오류 메세지는 아래와 같다.

ERROR conda.core.link:_execute(698): An error occurred while installing package 'defaults::qt-5.9.7-vc14h73c81de_0'.     
Rolling back transaction: done

LinkError: post-link script failed for package defaults::qt-5.9.7-vc14h73c81de_0
location of failed script: c:\ProgramData\Anaconda3\envs\py32\Scripts\.qt-post-link.bat
ERROR conda.core.link:_execute(700): An error occurred while installing package 'defaults::qt-5.9.7-vc14h73c81de_0'.
Rolling back transaction: done

LinkError: post-link script failed for package defaults::qt-5.9.7-vc14h73c81de_0
location of failed script: C:\ProgramData\Anaconda3\envs\py1\Scripts\.qt-post-link.bat

 

해결 방법은 '시스템 속성 - 고급 시스템 설정 - 환경 변수' 에 들어간 뒤, 시스템 변수, 'Path'에 'C:\Windows\System32'를 추가해주면 된다.

 

환경변수가 누락되어 설치 중 오류가 발생하는 것으로 추정된다.

 

혹은 터미널에서 'conda activate (가상환경이름)'을 입력한 뒤

 

set PATH=%PATH%;%SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem;

 

을 입력해서 직접 환경변수를 설정해도 된다. 이후 설치가 원활하게 될 것이다.

반응형

관련글 더보기

댓글 영역

페이징